Embl2AgaveAnnotFilter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.Embl2AgaveAnnotFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class Embl2AgaveAnnotFilter

    java.lang.Object
      org.biojava.bio.seq.io.agave.SimpleAnnotFilter
          org.biojava.bio.seq.io.agave.Embl2AgaveAnnotFilter

All Implemented Interfaces:
  AGAVEAnnotFilter

    public class Embl2AgaveAnnotFilter

extends SimpleAnnotFilter

Map EMBL data into AGAVE format

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static AGAVEAnnotFilterFactory` | `EMBL_AGAVE_ANNOT_FILTER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.SimpleAnnotFilter
`SIMPLE_ANNOT_FILTER_FACTORY`

Fields inherited from interface org.biojava.bio.seq.io.agave.AGAVEAnnotFilter
`BOTH_FORWARD_COMPLEMENT, COMPLEMENT, FORWARD`

Method Summary
`String` | `getAccession(Annotation annot)`
`AGAVEDbId` | `getDbId(Annotation annot)`
`String` | `getDescription(Annotation annot)`
`String` | `getKeyword(Annotation annot)`
`String` | `getMolType(Annotation annot)`
`String` | `getNote(Annotation annot)`
`String` | `getOrganism(Annotation annot)`
`String` | `getOS(Annotation annot)`
`String` | `getVersion(Annotation annot)`

Methods inherited from class org.biojava.bio.seq.io.agave.SimpleAnnotFilter
`getAlignLength, getAlignUnits, getAltIds, getChromNum, getChromosome, getClassifyId, getClassifySystem, getClassifyType, getCloneId, getCloneLibrary, getConfidence, getCreateDate, getEcNumber, getElementId, getElementIds, getExonIds, getFeatureType, getGroupOrder, getIdAlias, getLabel, getMapLocation, getMapPosition, getMatchAlign, getMatchDesc, getMatchRegion, getProperty, getQueryRegion, getRelatedAnnot, getResultType, getSequenceId, getTaxonId, getUpdateDate, getXrefs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMBL_AGAVE_ANNOT_FILTER_FACTORY

    public static final AGAVEAnnotFilterFactory EMBL_AGAVE_ANNOT_FILTER_FACTORY

Method Detail

### getAccession

    public String getAccession(Annotation annot)

  Specified by:
    `getAccession` in interface `AGAVEAnnotFilter`
  Overrides:
    `getAccession` in class `SimpleAnnotFilter`

### getKeyword

    public String getKeyword(Annotation annot)

  Specified by:
    `getKeyword` in interface `AGAVEAnnotFilter`
  Overrides:
    `getKeyword` in class `SimpleAnnotFilter`

### getOrganism

    public String getOrganism(Annotation annot)

  Specified by:
    `getOrganism` in interface `AGAVEAnnotFilter`
  Overrides:
    `getOrganism` in class `SimpleAnnotFilter`

### getDescription

    public String getDescription(Annotation annot)

  Specified by:
    `getDescription` in interface `AGAVEAnnotFilter`
  Overrides:
    `getDescription` in class `SimpleAnnotFilter`

### getNote

    public String getNote(Annotation annot)

  Specified by:
    `getNote` in interface `AGAVEAnnotFilter`
  Overrides:
    `getNote` in class `SimpleAnnotFilter`

### getVersion

    public String getVersion(Annotation annot)

  Specified by:
    `getVersion` in interface `AGAVEAnnotFilter`
  Overrides:
    `getVersion` in class `SimpleAnnotFilter`

### getOS

    public String getOS(Annotation annot)

  Specified by:
    `getOS` in interface `AGAVEAnnotFilter`
  Overrides:
    `getOS` in class `SimpleAnnotFilter`

### getMolType

    public String getMolType(Annotation annot)

  Specified by:
    `getMolType` in interface `AGAVEAnnotFilter`
  Overrides:
    `getMolType` in class `SimpleAnnotFilter`

### getDbId

    public AGAVEDbId getDbId(Annotation annot)

  Specified by:
    `getDbId` in interface `AGAVEAnnotFilter`
  Overrides:
    `getDbId` in class `SimpleAnnotFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD